Ir para conteúdo
Fórum CódigoFonte.net
  • Anúncios

    • codigofonte

      Novo Fórum

      Pessoal, Atualizamos nossa versão do fórum para a mais recente da Invision Power. Como tínhamos uma versão muito antiga, talvez algumas áreas possam funcionar de forma errada ou com problemas, gostaria de pedir-lhes a compreensão, pois iremos resolvendo aos poucos. Até mais!
Entre para seguir isso  
douglasds42

Dificuldades ao instalar o PHP no ubuntu 16.

Recommended Posts

Olá pessoal, tudo certo? Este é meu primeiro tópico aqui no fórum, sou estudante de Análise e Desenvolvimento de Sistemas, estou estagiando com php a uns dias, onde trabalho usamos o Framework Codeigniter.

Ainda estou aprendendo PHP/Codeigniter, então pensei em configurar o ambiente aqui no meu PC de casa(Ubuntu gnome 16) para acelerar esta processo.Configurei o virtual hosts, instalei o apache2 e o php via apt-get dei um git pull no projeto o qual estamos trabalhando e etc, porém quando tentei abrir a aplicação pelo seu endereço(o qual foi configurado no virtual hosts)a página veio toda branco.

Tentei alterar o index.php do projeto da seguinte forma:

<?php

// Mostra todas as informações, usa o padrão INFO_ALL
phpinfo();

?>

 

apertei o famigerado F12 e no console aparece o código em php que você postou só que em formato comentário, em uma linha só, e abaixo esse html...

 

Fui dar mais uma pesquisada, então me recomendaram um tal de libapache2-mod-php7.0, então tentei dar o comando,mas lembrei que já havia tentando instalar este pacote:

 

$ sudo apt-get install libapache2-mod-php7.0
[sudo] senha para douglas:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
libapache2-mod-php7.0 is already the newest version (7.0.20-1~ubuntu16.04.1+deb.sury.org+1).
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  linux-headers-4.4.0-71 linux-headers-4.4.0-71-generic linux-headers-4.4.0-72 linux-headers-4.4.0-72-generic linux-headers-4.4.0-75
  linux-headers-4.4.0-75-generic linux-image-4.4.0-71-generic linux-image-4.4.0-72-generic linux-image-4.4.0-75-generic
  linux-image-extra-4.4.0-71-generic linux-image-extra-4.4.0-72-generic linux-image-extra-4.4.0-75-generic linux-signed-image-4.4.0-71-generic
  linux-signed-image-4.4.0-72-generic linux-signed-image-4.4.0-75-generic
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 253 não atualizados.

segui diversos tutoriais já e não consigo instalar o php7:

https://www.howtoforge.com/tutorial/install-apache-with-php-and-mysql-on-ubuntu-16-04-lamp/

https://tecadmin.net/install-php-7-on-ubuntu/#

 

Será que é algo errado nos arquivos de configuração do apache? O que pode ser isso, estou a uma semana tentando configurar o ambiente do trabalho no meu computador pessoal e estou falhando miseravelmente, preciso disso para trabalhar.

Qualquer ajuda/dica é muito bem vinda,um abraço!

 

[Edit]:

Consegui pessoal, eu dei um sudo apt-get remove --purge php7.0 em td relacionado o php7 que havia sido instalado e depois um sudo apt-get install php7.0 (em todos os pacotes) agora o php está sendo reconhecido!

Compartilhar este post


Link para o post
Compartilhar em outros sites

Crie uma conta ou entre para comentar

Você precisar ser um membro para fazer um comentário

Criar uma conta

Crie uma nova conta em nossa comunidade. É fácil!

Crie uma nova conta

Entrar

Já tem uma conta? Faça o login.

Entrar Agora
Entre para seguir isso  

×